1.1
1.1
post /v1/vpn-tunnels
Description
Create VPN tunnel.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnTunnelCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnTunnelShowResponseV1Dot1 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpn 1.1"
Request body
{
"description": "Example Description for VPN Tunnel",
"name": "ExampleVpnTunnel1",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"peer_gateway_ip": "123.0.0.2",
"phase1_diffie_hellman_groups": [
30,
31,
32
],
"phase1_encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"phase1_life_time": 86400,
"pre_shared_key": "PreSharedKey1"
},
"phase2": {
"perfect_forward_secrecy": "ENABLE",
"phase2_diffie_hellman_groups": [
30,
31,
32
],
"phase2_encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"phase2_life_time": 43200,
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"tags": [],
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a"
}
Example HTTP response
Response 202
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}